# -*- coding: euc-jp -*-

dic = {
	#symbol
	'S_ANT':                                      'a',
	'S_BLOB':                                     'b',
	'S_COCKATRICE':                               'c',
	'S_DOG':                                      'd',
	'S_EYE':                                      'e',
	'S_FELINE':                                   'f',
	'S_GREMLIN':                                  'g',
	'S_HUMANOID':                                 'h',
	'S_IMP':                                      'i',
	'S_JELLY':                                    'j',
	'S_KOBOLD':                                   'k',
	'S_LEPRECHAUN':                               'l',
	'S_MIMIC':                                    'm',
	'S_NYMPH':                                    'n',
	'S_ORC':                                      'o',
	'S_PIERCER':                                  'p',
	'S_QUADRUPED':                                'q',
	'S_RODENT':                                   'r',
	'S_SPIDER':                                   's',
	'S_TRAPPER':                                  't',
	'S_UNICORN':                                  'u',
	'S_VORTEX':                                   'v',
	'S_WORM':                                     'w',
	'S_XAN':                                      'x',
	'S_LIGHT':                                    'y',
	'S_ZRUTY':                                    'z', # for vanilla NetHack
	'S_ZOUTHERN':                                 'z', # for Slash'EM
	'S_ANGEL':                                    'A',
	'S_BAT':                                      'B',
	'S_CENTAUR':                                  'C',
	'S_DRAGON':                                   'D',
	'S_ELEMENTAL':                                'E',
	'S_FUNGUS':                                   'F',
	'S_GNOME':                                    'G',
	'S_GIANT':                                    'H',
	'S_STALKER':                                  'I', # for SLASH
	'S_JABBERWOCK':                               'J',
	'S_KOP':                                      'K',
	'S_LICH':                                     'L',
	'S_MUMMY':                                    'M',
	'S_NAGA':                                     'N',
	'S_OGRE':                                     'O',
	'S_PUDDING':                                  'P',
	'S_QUANTMECH':                                'Q',
	'S_RUSTMONST':                                'R',
	'S_SNAKE':                                    'S',
	'S_TROLL':                                    'T',
	'S_UMBER':                                    'U',
	'S_VAMPIRE':                                  'V',
	'S_WRAITH':                                   'W',
	'S_XORN':                                     'X',
	'S_YETI':                                     'Y',
	'S_ZOMBIE':                                   'Z',
	'S_GOLEM':                                    '\'',
	'S_HUMAN':                                    '@',
	'S_GHOST':                                    ' ',
	'S_DEMON':                                    '&',
	'S_EEL':                                      ';',
	'S_LIZARD':                                   ':',
	'S_BAD_FOOD':                                 '%',
	'S_BAD_COINS':                                '$',
	'S_WORM_TAIL':                                '~',
	
	#geno_flag
	'G_UNIQ':                                     'ˡ󥹥',
	'G_NOHELL':                                   'إʤˤо줷ʤ',
	'G_HELL':                                     'إ',
	'G_NOGEN':                                    'ʤ',
	'G_SGROUP':                                   'Ĥо',
	'G_LGROUP':                                   '罸Ĥо',
	'G_VLGROUP':                                  'Ķ罸Ĥо',
	'G_GENO':                                     'Ի',
	'G_NOCORPSE':                                 'ΤĤʤ',
	'G_ROGUE':                                    '٥',
	'1':                                          ':1',
	'2':                                          ':2',
	'3':                                          ':3',
	'4':                                          ':4',
	'5':                                          ':5',
	'6':                                          ':6',
	'7':                                          ':7',
	
	#attack type
	'AT_NONE':                                    'ȿ',
	'AT_CLAW':                                    'ä',
	'AT_BITE':                                    'ߤĤ',
	'AT_KICK':                                    '',
	'AT_BUTT':                                    'Ƭͤ',
	'AT_TUCH':                                    '',
	'AT_STNG':                                    'ͤɤ',
	'AT_HUGS':                                    '',
	'AT_SPIT':                                    'Ǥ',
	'AT_ENGL':                                    '߹',
	'AT_BREA':                                    '֥쥹',
	'AT_EXPL':                                    'ȯ',
	'AT_BOOM':                                    '˴ȯ',
	'AT_GAZE':                                    'ˤ',
	'AT_TENT':                                    '',
	'AT_MULTIPLY':                                '',
	'AT_WEAP':                                    '',
	'AT_MAGC':                                    'ˡӾ',
	
	'AT_TALK':                                    'ä', # for NetHack tNG
	
	#damage type
	'0':                                          '  ',
	'0L':                                         '  ',
	'AD_PHYS':                                    'ʪ',
	'AD_MAGM':                                    'ˡ',
	'AD_FIRE':                                    '',
	'AD_COLD':                                    '䵤',
	'AD_SLEE':                                    '̲',
	'AD_DISN':                                    '¨',
	'AD_ELEC':                                    'ŷ',
	'AD_DRST':                                    '',
	'AD_ACID':                                    '',
	'AD_LITE':                                    '', # ̤
#	'AD_SPC1':                                    '', # ĥ
#	'AD_SPC2':                                    '', # ĥ
	'AD_BLND':                                    '',
	'AD_STUN':                                    '',
	'AD_SLOW':                                    '®',
	'AD_PLYS':                                    '',
	'AD_DRLI':                                    '٥ɥ쥤',
	'AD_DREN':                                    'MPۼ',
	'AD_LEGS':                                    '',
	'AD_STON':                                    'в',
	'AD_STCK':                                    '',
	'AD_SGLD':                                    '',
	'AD_SITM':                                    'ƥ',
	'AD_SEDU':                                    'ͶǤ¿Υƥ',
	'AD_TLPT':                                    'ְִư',
	'AD_RUST':                                    '',
	'AD_CONF':                                    '',
	'AD_DGST':                                    'ò',
	'AD_HEAL':                                    '',
	'AD_WRAP':                                    'դ',
	'AD_WERE':                                    'ò',
	'AD_DRDX':                                    'Ѥ',
	'AD_DRCO':                                    'ѵϸ',
	'AD_DRIN':                                    'ǽ',
	'AD_DISE':                                    'µ',
	'AD_DCAY':                                    '忩',
	'AD_SSEX':                                    'Ͷ',
	'AD_HALU':                                    '',
	'AD_DETH':                                    '',
	'AD_PEST':                                    '',
	'AD_FAMN':                                    '',
	'AD_SLIM':                                    '饤ಽ',
	'AD_CALM':                                    'Ų',
	'AD_ENCH':                                    '͸',
	'AD_POLY':                                    '¾ԤѲ',
	'AD_CORR':                                    '忩',
	'AD_CORRODE':                                 '忩', # for LethePatch
	'AD_TCKL':                                    '',
	'AD_CLRC':                                    'ηˡ',
	'AD_SPEL':                                    'ѻշˡ',
	'AD_RBRE':                                    '',
	'AD_SAMU':                                    '',
	'AD_CURS':                                    'ǽå',
	
	'AD_DEPR':                                    'ͫݵ', # for NetHack tNG
	'AD_DRWN':                                    'Ů줵', # for NetHack brass
	
	#sound
	'MS_SILENT':                                  '̵',
	'MS_BARK':                                    'ʤ()',
	'MS_MEW':                                     '˥㡼˥㡼Ĥ',
	'MS_ROAR':                                    '礭ʽäʤ',
	'MS_GROWL':                                   'äӹ',
	'MS_SQEEK':                                   'ͥߤĤ',
	'MS_SQAWK':                                   'ҥĤ',
	'MS_HISS':                                    'ؤβ',
	'MS_BUZZ':                                    'α',
	'MS_GRUNT':                                   'Ź',
	'MS_NEIGH':                                   'ϤΤʤʤ',
	'MS_WAIL':                                    'ò',
	'MS_GURGLE':                                  'Ĥ餹',
	'MS_BURBLE':                                  'ڤ㤯',
#	'MS_ANIMAL': '', # ưʪβȼΥޥʤΤ
	'MS_SHRIEK':                                  'ڤ',
	'MS_BONES':                                   'β',
	'MS_LAUGH':                                   'Ф/޾Ф',
	'MS_MUMBLE':                                  'Ĥ֤䤯',
	'MS_IMITATE':                                 '',
	'MS_ORC':                                     '',
	'MS_HUMANOID':                                'ʹ/ʹ',
	'MS_ARREST':                                  'ˡֿ',
	'MS_SOLDIER':                                 'ʼ/ĥ',
	'MS_GUARD':                                   'ˤֿ',
	'MS_DJINNI':                                  '줷',
	'MS_NURSE':                                   'Ǹ',
	'MS_SEDUCE':                                  'ͶǤ',
	'MS_VAMPIRE':                                 '۷쵴Ͷ',
	'MS_BRIBE':                                   '',
	'MS_CUSS':                                    'ŷȤ/ΰҤ',
	'MS_RIDER':                                   'ۼϿΎꎣ',
	'MS_LEADER':                                  'ȥ꡼',
	'MS_NEMESIS':                                 'ȥͥ᥷',
	'MS_GUARDIAN':                                'ȥǥ',
	'MS_SELL':                                    'Ź',
	'MS_ORACLE':                                  'θ',
	'MS_PRIEST':                                  'η',
	'MS_SPELL':                                   'ѻ',
	'MS_WERE':                                    'ÿ',
	'MS_BOAST':                                   '',
	'MS_GYPSY':                                   'ץ',
	'MS_SHEEP':                                   'ӤĤ',
	'MS_CHICKEN':                                 'ܤĤ',
	'MS_COW':                                     'Ĥ',
	'MS_PARROT':                                  'Ĥ',
	
	'MS_DOUGLAS_ADAMS':                           '饹ॹ', # for NetHack tNG
	'MS_PUPIL':                                   '', # for NetHack tNG
	'MS_TEACHER':                                 '', # for NetHack tNG
	'MS_PRINCIPAL':                               'Ĺ', # for NetHack tNG
	'MS_SMITH':                                   '', # for NetHack tNG
	
	#physical size
	'MZ_TINY':                                    '',
	'MZ_SMALL':                                   '',
	'MZ_MEDIUM':                                  '淿',
	'MZ_HUMAN':                                   'ʹ',
	'MZ_LARGE':                                   '緿',
	'MZ_HUGE':                                    '',
	'MZ_GIGANTIC':                                'Ķ',
	
	#color
	'CLR_BLACK':                                  'gray',
	'CLR_BLUE':                                   'navy',#'blue',
	'CLR_BRIGHT_CYAN':                            'aqua',
	'CLR_BRIGHT_GREEN':                           'lime',
	'CLR_BRIGHT_BLUE':                            'blue',
	'CLR_BRIGHT_MAGENTA':                         'fuchsia',
	'CLR_BROWN':                                  'olive',
	'CLR_CYAN':                                   'teal',
	'CLR_GRAY':                                   'silver',
	'CLR_GREEN':                                  'green',
	'CLR_MAGENTA':                                'purple',
	'CLR_ORANGE':                                 'red',
	'CLR_RED':                                    'maroon',
	'CLR_WHITE':                                  'white',
	'CLR_YELLOW':                                 'yellow',
	'DRAGON_SILVER':                              'aqua',
	'HI_DOMESTIC':                                'white',
	'HI_GOLD':                                    'yellow',
	'HI_LEATHER':                                 'olive',
	'HI_LORD':                                    'purple',
	'HI_METAL':                                   'teal',
	'HI_PAPER':                                   'white',
	'HI_WOOD':                                    'olive',
	'HI_ZAP':                                     'blue',
	
	# resist
	'MR_FIRE':                                    '',
	'MR_COLD':                                    '䵤',
	'MR_SLEEP':                                   '̲',
	'MR_DISINT':                                  'ʬ',
	'MR_ELEC':                                    'ŷ',
	'MR_POISON':                                  '',
	'MR_ACID':                                    '',
	'MR_STONE':                                   'в',
	'MR_DEATH':                                   '¨',
	'MR_DRAIN':                                   '٥ɥ쥤',
	'MR_PLUSONE':                                 '+1̵̤',
	'MR_PLUSTWO':                                 '+2̵̤',
	'MR_PLUSTHREE':                               '+3̵̤',
	'MR_PLUSFOUR':                                '+4̵̤',
	'MR_HITASONE':                                '⤬+1',
	'MR_HITASTWO':                                '⤬+2',
	'MR_HITASTHREE':                              '⤬+3',
	'MR_HITASFOUR':                               '⤬+4',
	
	# feature M1_*
	'M1_FLY':                                     'ͷ/',
	'M1_SWIM':                                    'ˤ',
	'M1_AMORPHOUS':                               '',
	'M1_WALLWALK':                                'ȴ',
	'M1_CLING':                                   'ŷĥĤ',
	'M1_TUNNEL':                                  '򷡤',
	'M1_NEEDPICK':                                'ĤϤȤ',
	'M1_CONCEAL':                                 'ƥβ˱',
	'M1_HIDE':                                    '',
	'M1_AMPHIBIOUS':                              'ưǽ',
	'M1_BREATHLESS':                              '̵Ƶ',
	'M1_NOTAKE':                                  'ʪ򽦤ʤ',
	'M1_NOEYES':                                  'ܤʤ',
	'M1_NOHANDS':                                 'ʤ',
	'M1_NOLIMBS':                                 'ͻʤ',
	'M1_NOHEAD':                                  'ʤ',
	'M1_MINDLESS':                                'ջ֤ʤ',
	'M1_HUMANOID':                                'ʹ֤ξȾ',
	'M1_ANIMAL':                                  'ưʪο',
	'M1_SLITHY':                                  'ؤο',
	'M1_UNSOLID':                                 'Τʤ',
	'M1_THICK_HIDE':                              'ڤ',
	'M1_OVIPAROUS':                               '',
	'M1_REGEN':                                   'ǽ',
	'M1_SEE_INVIS':                               'ƩĻ',
	'M1_TPORT':                                   'ְִư',
	'M1_TPORT_CNTRL':                             'ְִư',
	'M1_ACID':                                    '٤Ȼ᡼',
	'M1_POIS':                                    '٤ǥ᡼',
	'M1_CARNIVORE':                               '',
	'M1_HERBIVORE':                               '',
	'M1_OMNIVORE':                                '',
	'M1_METALLIVORE':                             '°',
	
	'M1_MARSUPIAL':                               'ͭ',
	
	#insrinsic
	'telepathy':                                  'ƥѥ',
	
	# feature M2_*
	'M2_NOPOLY':                                  'PCѲǽ',
	'M2_UNDEAD':                                  'ǥå',
	'M2_MERC':                                    'ʼ/ĥ',
	'M2_HUMAN':                                   'ʹ',
	'M2_ELF':                                     '',
	'M2_DWARF':                                   'ɥ',
	'M2_GNOME':                                   'Ρ',
	'M2_ORC':                                     '',
	'M2_HOBBIT':                                  'ۥӥå',
	'M2_WERE':                                    'ÿ',
	'M2_VAMPIRE':                                 '۷쵴',
	'M2_LORD':                                    '̼',
	'M2_PRINCE':                                  'Ǿ̼',
	'M2_MINION':                                  '',
	'M2_GIANT':                                   '',
	'M2_DEMON':                                   '',
	'M2_MALE':                                    '',
	'M2_FEMALE':                                  '',
	'M2_NEUTER':                                  '̤ʤ',
	'M2_PNAME':                                   'ͭ̾',
	'M2_HOSTILE':                                 'ŨŪ',
	'M2_PEACEFUL':                                'ͧŪ',
	'M2_DOMESTIC':                                '¤ǻʤ餻',
	'M2_WANDER':                                  'Ե§ưޤ',
	'M2_STALK':                                   '̳ޤɷ',
	'M2_NASTY':                                   '',
	'M2_STRONG':                                  '/ʲʪ',
	'M2_ROCKTHROW':                               'ꤲ',
	'M2_GREEDY':                                  '򹥤',
	'M2_JEWELS':                                  'Ф򹥤',
	'M2_COLLECT':                                 '/򽦤',
	'M2_MAGIC':                                   'ˡʤ򽦤',
	
	'M2_RIDE':                                    'ϲǽ', # for NetHack brass
	
	# feature M3_*
	'M3_WANTSAMUL':                               'ߤ',
	'M3_WANTSBELL':                               'Υ٥ߤ',
	'M3_WANTSBOOK':                               'Ԥνߤ',
	'M3_WANTSCAND':                               'οߤ',
	'M3_WANTSARTI':                               'ȥƥեȤߤ',
	'M3_WANTSALL' :                               'ߤ',
	'M3_WAITFORU' :                               'ץ쥤䡼򸫤Ĥ뤫⤵ޤưʤ',
	'M3_CLOSE' :                                  'ŤưФ',
	'M3_COVETOUS' :                               'ߤ',
	'M3_INFRAVISION':                             'ֳ',
	'M3_INFRAVISIBLE':                            'ֳФǸ',
	'M3_TRAITOR':                                 'ڥåȻ΢ڤ뤳Ȥ',
	'M3_NOTAME':                                  'ʤ餻ʤ',
	
	'M3_SKITTISH':                                'ҥå&', # for sporkhack
	'M3_EAGLEEYE':                                '̿+', # for sporkhack
	'M3_BERSERK':                                 '', # for sporkhack
}


